Show / Hide Table of Contents

# Class CredentialSet

##### Inheritance

System.Object
System.Collections.Generic.List<Win32Credential>
CredentialSet

##### Inherited Members

System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.get_Item(System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.set_Item(System.Int32, System.Object)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Add(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.AddRange(System.Collections.Generic.IEnumerable<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.AsReadOnly()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.BinarySearch(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.BinarySearch(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential, System.Collections.Generic.IComparer<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.BinarySearch(System.Int32, System.Int32, Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential, System.Collections.Generic.IComparer<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Clear()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Contains(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.CopyTo(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential[])
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.CopyTo(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential[], System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.CopyTo(System.Int32, Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential[], System.Int32, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Exists(System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Find(System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.FindAll(System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.FindIndex(System.Int32, System.Int32, System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.FindIndex(System.Int32, System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.FindIndex(System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.FindLast(System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.FindLastIndex(System.Int32, System.Int32, System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.FindLastIndex(System.Int32, System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.FindLastIndex(System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.ForEach(System.Action<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.GetEnumerator()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.GetRange(System.Int32, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.IndexOf(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.IndexOf(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.IndexOf(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential, System.Int32, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Insert(System.Int32, Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.InsertRange(System.Int32, System.Collections.Generic.IEnumerable<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.LastIndexOf(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.LastIndexOf(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.LastIndexOf(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential, System.Int32, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Remove(Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.RemoveAll(System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.RemoveAt(System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.RemoveRange(System.Int32, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Reverse()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Reverse(System.Int32, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Sort()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Sort(System.Collections.Generic.IComparer<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Sort(System.Comparison<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Sort(System.Int32, System.Int32, System.Collections.Generic.IComparer<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.Generic.IEnumerable<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.GetEnumerator()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.ICollection.CopyTo(System.Array, System.Int32)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IEnumerable.GetEnumerator()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.Add(System.Object)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.Contains(System.Object)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.IndexOf(System.Object)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.Insert(System.Int32, System.Object)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.Remove(System.Object)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.ToArray()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.TrimExcess()
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.TrueForAll(System.Predicate<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>)
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Capacity
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Count
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.Item[System.Int32]
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.Generic.ICollection<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.IsReadOnly
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.ICollection.IsSynchronized
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.ICollection.SyncRoot
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.IsFixedSize
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.IsReadOnly
System.Collections.Generic.List<Microsoft.SqlTools.ServiceLayer.Credentials.Win32.Win32Credential>.System.Collections.IList.Item[System.Int32]
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Credentials.Win32

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class CredentialSet : List<Win32Credential>, IList<Win32Credential>, ICollection<Win32Credential>, IReadOnlyList<Win32Credential>, IReadOnlyCollection<Win32Credential>, IEnumerable<Win32Credential>, IList, ICollection, IEnumerable, IDisposable

### Constructors

| Improve this Doc View Source

#### CredentialSet()

##### Declaration

    public CredentialSet()

| Improve this Doc View Source

#### CredentialSet(String)

##### Declaration

    public CredentialSet(string target)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | target |

### Properties

| Improve this Doc View Source

#### Target

##### Declaration

    public string Target { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

##### Implements

System.IDisposable.Dispose()
| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### Load()

##### Declaration

    public CredentialSet Load()

##### Returns

Type | Description
--- | ---
CredentialSet |